# -*- coding: utf-8 -*-
"""
  Copyright 2012-2014 Grégory Soutadé

  This file is part of Dynastie.

  Dynastie is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Dynastie is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Dynastie.  If not, see <http://www.gnu.org/licenses/>.
"""

from django.conf.urls import re_path

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()
from dynastie.views import *

urlpatterns = [
    re_path(r'^index$',               index,        name='index'),
    re_path(r'^$',                    index,        name='index'),
    re_path(r'^disconnect$',          disconnect,   name='disconnect'),
    re_path(r'^user$',                user,         name='user'),
    re_path(r'^user/add$',            add_user,     name='add_user'),
    re_path(r'^user/edit/(\d+)$',     edit_user,    name='edit_user'),
    re_path(r'^user/(\d+)$',          edit_user,    name='view_user'),
    re_path(r'^category/(\d+)$',      category,     name='category'),
    re_path(r'^category/add/(\d+)$',  add_category, name='add_category'),
    re_path(r'^category/edit/(\d+)$', edit_category, name='edit_category'),
    re_path(r'^category/delete/(\d+)$', delete_category, name='delete_category'),
    re_path(r'^blog$',                blog,         name='blog'),
    re_path(r'^blog/add$',            add_blog,     name='add_blog'),
    re_path(r'^blog/(\d+)$',          view_blog,    name='view_blog'),
    re_path(r'^blog/edit/(\d+)$',     edit_blog,    name='edit_blog'),
    re_path(r'^blog/search/(\d+)$',   search_blog,  name='search_blog'),
    re_path(r'^post/add/(\d+)$',      add_post,     name='add_post'),
    re_path(r'^post/edit/(\d+)$',     edit_post,    name='edit_post'),
    re_path(r'^post/delete/(\d+)$',   delete_post,  name='delete_post'),
    re_path(r'^draft/edit/(\d+)$',    edit_draft,    name='edit_draft'),
    re_path(r'^draft/delete/(\d+)$',  delete_draft,  name='delete_draft'),
    re_path(r'^generate/(\d+)$',      generate,     name='generate'),
    re_path(r'^generate/(\d+)/(\d+)$',generate_post,name='generate_post'),
    re_path(r'^preview/(\d+)$',       preview,      name='preview'),
    re_path(r'^tinyMCEExternalList/post/add/(\d+)$',  tinymcelist_add,  name='tinymce'),
    re_path(r'^tinyMCEExternalList/post/edit/(\d+)$', tinymcelist_edit, name='tinymce'),
    re_path(r'^comment/add/(\d+)/(\d+)$',   add_comment,   name='add_comment'),
    re_path(r'^comment/edit/(\d+)$',  edit_comment,  name='edit_comment'),
    re_path(r'^comment/delete/(\d+)$',delete_comment,name='delete_comment'),
    re_path(r'^tag/(\d+)$',           tag,          name='tag'),
    re_path(r'^tag/edit/(\d+)$',      edit_tag,     name='edit_tag'),
    re_path(r'^tag/delete/(\d+)$',    delete_tag,   name='delete_tag'),
    re_path(r'^search/generate/(\d+)$',    generate_search,name='generate_search'),
    re_path(r'^search/(\d+)$',        search,       name='search'),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # url(r'^admin/', include(admin.site.urls)),
]
